import React, { useEffect, useState } from "react";
import { http } from "../services/httpService";
// import ReactHtmlParser from "react-html-parser" ;

const CardList = () => {
  const [publicaciones, setPublicaciones] = useState([]);

  const getPublicaciones = async () => {
    try {
      const res = await http.get(
        "publico/publicacion?ordenar=creado-asc",
        false
      );
      if (res.status === 200) {
        setPublicaciones(res?.resultado);
      }
    } catch (e) {
      console.log(e);
    }
  };

  useEffect(() => {
    getPublicaciones();
    return () => {};
  }, []);

  return publicaciones.map((publicacion) => (
    <div className="h-60 w-80 border-2 border-stone-400 border-r-2 m-2 p-2 overflow-hidden">
      <p className="font-bold text-lg">{publicacion?.nombre}</p>
      <p className="text-lg text-ellipsis">{publicacion?.descripcion}</p>
    </div>
  ));
};

export default CardList;
